<?php 
session_start(); // Démarrage de la session
require("controleur/config_bdd.php");

if (!empty($_POST['identifier']) && !empty($_POST['password_user'])) { // Si il existe les champs identifier et password et qu'ils ne sont pas vides
    // Patch XSS
    $identifier = htmlspecialchars($_POST['identifier']); 
    $password_user = htmlspecialchars($_POST['password_user']);
    
    $identifier = strtolower($identifier); // identifier transformé en minuscule pour uniformité des emails
    
    // On regarde si l'utilisateur est inscrit dans la table utilisateurs, par email ou par pseudo
    $check = $bdd->prepare('SELECT nom_user, prenom_user, datenaissance_user, pseudo_user, email_user, password_user, token_user FROM user_ve WHERE email_user = ? OR pseudo_user = ?');
    $check->execute(array($identifier, $identifier));
    $data = $check->fetch();
    $row = $check->rowCount();

    // Si > à 0 alors l'utilisateur existe
    if ($row > 0) {
        if (filter_var($identifier, FILTER_VALIDATE_EMAIL) || $identifier == $data['pseudo_user']) { // Si le mail est bon niveau format ou si l'identifier est le pseudo
            if (password_verify($password_user, $data['password_user'])) { // Si le mot de passe est le bon
                $_SESSION['user_ve'] = $data['token_user'];
                header('Location: pageuser.php'); // Redirection vers la page utilisateur
                die();
            } else {
                header('Location: Connecter.php?login_err=password');
                die();
            }
        } else {
            header('Location: Connecter.php?login_err=identifier');
            die();
        }
    } else {
        header('Location: Connecter.php?login_err=already');
        die();
    }
} else {
    header('Location: Connecter.php');
    die(); // Si le formulaire est envoyé sans aucune donnée
}
?>

<!--?php 
    session_start(); // Démarrage de la session
    require("controleur/config_bdd.php");
    
    if(!empty($_POST['email_user']) && !empty($_POST['password_user'])) // Si il existe les champs email, password et qu'il sont pas vident
    {
        // Patch XSS
        $email_user = htmlspecialchars($_POST['email_user']); 
        $password_user = htmlspecialchars($_POST['password_user']);
        
        $email_user = strtolower($email_user); // email transformé en minuscule
        
        // On regarde si l'utilisateur est inscrit dans la table utilisateurs
        $check = $bdd->prepare('SELECT nom_user,prenom_user,datenaissance_user,pseudo_user, email_user, password_user, token_user FROM user_ve WHERE email_user = ?');
        $check->execute(array($email_user));
        $data = $check->fetch();
        $row = $check->rowCount();
        
        //echo $email_user;
        //echo $password_user;

        // Si > à 0 alors l'utilisateur existe
        if($row > 0){
            if(filter_var($email_user, FILTER_VALIDATE_EMAIL)){// Si le mail est bon niveau format
                if(password_verify($password_user, $data['password_user'])){// Si le mot de passe est le bon
                    $_SESSION['user_ve'] = $data['token_user'];
                    header('Location: pageuser.php');/*header('Location: Connecter.php');*/
                    die();
                }else{header('Location: Connecter.php?login_err=password'); die();}
            }else{header('Location: Connecter.php?login_err=email'); die();}
        }else{header('Location: Connecter.php?login_err=already'); die();}
    }else{header('Location: Connecter.php'); die();}// si le formulaire est envoyé sans aucune données
?-->